{ pkgs, lib, config, ... }:

{
  imports = [
    # GUI
    ../../modules/home/gui/common
    ../../modules/home/gui/hyprland
    ../../modules/home/gui/nextcloud.nix
    ../../modules/home/gui/theming.nix
    ../../modules/home/gui/thunderbird.nix

    # CLI
    ../../modules/home/cli/common
    ../../modules/home/cli/develop.nix
    ../../modules/home/cli/ssh.nix
  ];

  options = {
    host = lib.mkOption {
      type = with lib.types; str;
      description = ''
        Define the host of the machine
      '';
    };
  };

  config = {
    home = {
      username = "xeovalyte";
      homeDirectory = "/home/xeovalyte";
    };

    host = "xv-laptop";


    home.packages = with pkgs; [
      # Desktop Applications
      kdenlive
      unstable.prismlauncher
      unstable.joplin-desktop
      unstable.moonlight-qt
      unstable.prusa-slicer
      signal-desktop
      unstable.vesktop
      unstable.rnote
      unstable.blender
      unstable.openscad-unstable

      # Office
      libreoffice
      onlyoffice-bin

      # Image editing
      gimp
      inkscape
      unstable.obs-studio

      # Development
      unstable.drawio
    ];

    home.stateVersion = "24.05";
  };

}
