{ pkgs, ... }:

{
  virtualisation.oci-containers.containers = {
    adguardhome = {
      image = "docker.io/adguard/adguardhome";
      autoStart = true;
      ports = [
        "192.168.100.107:53:53/udp"
        "81:3000/tcp"
      ];
      volumes = [
        "workdir:/opt/adguardhome/work"
        "confdir:/opt/adguardhome/conf"
      ];
    };
  };

  networking.firewall = {
    allowedTCPPorts = [ 81 53 ];
    allowedUDPPorts = [ 53 ];
  };
}
