{ pkgs, ... }:

{
  home.packages = with pkgs; [
    unstable.devenv
    unstable.surrealist
    cloc
  ];

  programs.direnv = {
    enable = true;
    enableBashIntegration = true;
  };

  programs.zellij = {
    enable = true;
    # enableBashIntegration = true;
  };

  home.file.zellij = {
    target = ".config/zellij/config.kdl";
    text = ''
      pane_frames false
      keybinds {
        normal {
          bind "Ctrl e" { ToggleFloatingPanes; SwitchToMode "normal"; }
        }
      }
    '';
  };

  home.file.zellij-layout-default = {
    target = ".config/zellij/layouts/default.kdl";
    text = ''
      layout {
        pane 
        floating_panes {
          pane {
            width "80%"
            height "80%"
            x "10%"
            y "10%"
          }
        }
      }
    '';
  };
}
