{ pkgs, ... }:

{
	programs.thunderbird = {
    enable = true;
    package = pkgs.unstable.thunderbird;
    profiles = {
      default = {
        isDefault = true;  
      };
    };
  };

  accounts.email.accounts = {
    ziggo = {
      imap = {
        host = "imap.ziggo.nl";
        port = 993;
        tls = {
          enable = true;
        };
      };
      smtp =  {
        host = "smtp.ziggo.nl";
        port = 587;
        tls = {
          enable = true;
          useStartTls = true;
        };
      };
      address = "timo.boomers@ziggo.nl";
      realName = "Timo Boomers";
      userName = "timo.boomers@ziggo.nl";
      primary = true;
      thunderbird.enable = true;
      thunderbird.profiles = [ "default" ];
    };
    xeovalyte = {
      imap = {
        host = "mail.xeovalyte.dev";
        port = 993;
        tls = {
          enable = true;
        };
      };
      smtp =  {
        host = "mail.xeovalyte.dev";
        port = 587;
        tls = {
          enable = true;
          useStartTls = true;
        };
      };
      address = "timo@xeovalyte.dev";
      aliases = [ "me@xeovalyte.dev" "contact@xeovalyte.dev" ];
      realName = "Timo Boomers";
      userName = "me@xeovalyte.dev";
      primary = false;
      thunderbird.enable = true;
      thunderbird.profiles = [ "default" ];
    };
  };
}
